AbstractFOEventHandlerMaker (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render

## Class AbstractFOEventHandlerMaker

- java.lang.Object
- - org.apache.fop.render.AbstractFOEventHandlerMaker

- Direct Known Subclasses:
    RTFFOEventHandlerMaker

      public abstract class AbstractFOEventHandlerMaker
      extends java.lang.Object

  Base class for factory classes which instantiate FOEventHandlers and provide information about them.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFOEventHandlerMaker()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String[]` | `getSupportedMimeTypes()`
    `boolean` | `isMimeTypeSupported(java.lang.String mimeType)` Indicates whether a specific MIME type is supported by this renderer.
    `abstract FOEventHandler` | `makeFOEventHandler(FOUserAgent ua, java.io.OutputStream out)` Instantiates a new FOEventHandler.
    `abstract boolean` | `needsOutputStream()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractFOEventHandlerMaker

          public AbstractFOEventHandlerMaker()

  - ### Method Detail

    - #### makeFOEventHandler

          public abstract FOEventHandler makeFOEventHandler(FOUserAgent ua,
                                                            java.io.OutputStream out)
                                                     throws FOPException

      Instantiates a new FOEventHandler.
      Parameters:
        `ua` - the user agent
        `out` - OutputStream for the FOEventHandler to use
      Returns:
        the newly instantiated FOEventHandler
      Throws:
        `FOPException` - if a problem occurs while creating the event handler

    - #### needsOutputStream

          public abstract boolean needsOutputStream()

      Returns:
        Indicates whether this renderer requires an OutputStream to work with.

    - #### getSupportedMimeTypes

          public abstract java.lang.String[] getSupportedMimeTypes()

      Returns:
        an array of MIME types the renderer supports.

    - #### isMimeTypeSupported

          public boolean isMimeTypeSupported(java.lang.String mimeType)

      Indicates whether a specific MIME type is supported by this renderer.
      Parameters:
        `mimeType` - the MIME type (ex. "application/rtf")
      Returns:
        true if the MIME type is supported

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.